dballe (9.4-1) unstable; urgency=medium

  * New upstream version, see NEWS.md for what's new.
  * Explicitly include dballef.mod in debian/libdballef-dev.install.
    Closes: #1028098

 -- Enrico Zini <enrico@debian.org>  Tue, 10 Jan 2023 14:47:53 +0100

dballe (9.3-2) unstable; urgency=medium

  * Build-Depend on python3-dev instead of python3-all-dev (Closes: #1024255)
  * Depend on dh-sequence-sphinxdoc, simplifying debian/rules and B-D list
  * Depend on debhelper-compat, removed debian/compat

 -- Enrico Zini <enrico@debian.org>  Sat, 19 Nov 2022 13:42:43 +0100

dballe (9.3-1) unstable; urgency=medium

  * New upstream version, see NEWS.md for what's new. Closes: #957123
  * Updated Standards-Version
  * Updated Vcs-* packages
  * Build with meson instead of autotools

 -- Enrico Zini <enrico@debian.org>  Thu, 27 Oct 2022 11:23:46 +0200

dballe (9.0-1) unstable; urgency=medium

  * New upstream version, see NEWS.md for what's new.
  * libdballe soname bump due to C++ ABI changes

 -- Enrico Zini <enrico@debian.org>  Mon, 14 Dec 2020 16:04:44 +0100

dballe (8.6-1) unstable; urgency=medium

  * New upstream version, see NEWS.md for what's new.

 -- Enrico Zini <enrico@debian.org>  Sun, 29 Dec 2019 16:48:39 +0100

dballe (8.3-1) unstable; urgency=medium

  * New upstream version. Closes: #853367, #934814, #793229, #936368
     - reviewed and extended stable API
     - significantly more comprehensive python bindings
     - added dbadb --varlist
  * Added missing build-depend on libtool, which is called explicitly by test
    scripts
  * Deal with gcc7 symbols changes. Closes: #871272

 -- Enrico Zini <enrico@debian.org>  Fri, 30 Aug 2019 10:33:57 +0200

dballe (7.21-1) unstable; urgency=medium

  * New upstream version
  * Build-Depend on default-libmysqlclient-dev. Closes: #845833
  * Updated debhelper compatibility level to 10

 -- Enrico Zini <enrico@debian.org>  Fri, 09 Dec 2016 11:27:58 +0100

dballe (7.19-1) unstable; urgency=medium

  * New upstream version
     - fixed rounding error on i386. Closes: #834784

 -- Enrico Zini <enrico@debian.org>  Fri, 19 Aug 2016 15:07:21 +0200

dballe (7.18-1) unstable; urgency=medium

  * New upstream version
     - depend on newer libwreport
  * Added missing help2man dependency

 -- Enrico Zini <enrico@debian.org>  Thu, 18 Aug 2016 16:27:42 +0200

dballe (7.17-1) unstable; urgency=medium

  * New upstream version
     - fixed build failures on 32bit machines

 -- Enrico Zini <enrico@debian.org>  Thu, 18 Aug 2016 11:11:43 +0200

dballe (7.16-1) unstable; urgency=medium

  * New upstream version
     - Redone documentation from LaTeX to Markdown
     - Introduced new SQL schema "V7"
     - Refactored Fortran bindings to not need CNF
  * Dropped LaTeX dependencies
  * Dropped CNF dependency
  * Increased libdballef soname
  * Updated Standards-Version, no changes required

 -- Enrico Zini <enrico@debian.org>  Wed, 17 Aug 2016 11:09:02 +0200

dballe (7.7-1) unstable; urgency=medium

  [ Scott Kitterman ]
  * Change python:Depends to python3:Depends for python3-dballe so that
    correct binary depends are generated
  * Remove obsolete python packaging features from debian/control

  [ Enrico Zini ]
  * New upstream version
  * Applied Scott's patch. Closes: #810062

 -- Enrico Zini <enrico@debian.org>  Fri, 29 Jan 2016 10:25:17 +0100

dballe (7.6-1) unstable; urgency=medium

  * New upstream release
     - big refactoring, extracting the beginning of a stable API/ABI
     - ported to wreport 3
     - removed internal provami, now a separate package:
       https://github.com/ARPA-SIMC/provami

 -- Enrico Zini <enrico@debian.org>  Mon, 23 Nov 2015 12:07:50 +0100

dballe (7.1-1) UNRELEASED; urgency=medium

  * New upstream release
     - implemented encoding and decoding of radiation data
     - implemented handling of temperature change information in synop messages
     - deal with SYNOP messages which do not transmit the pressure of the
       standard level
     - implemented native PostgreSQL connection
     - implemented native MySQL connection
     - removed support for V5 database formats.
     - if DBA_LOGDIR is set, it creates a log file in that directory with a
       JSON trace of all significant usage of the library

 -- Enrico Zini <enrico@enricozini.org>  Tue, 31 Mar 2015 14:47:14 +0200

dballe (7.0-1) unstable; urgency=medium

  * New upstream release
     - rewritten database connection interface to support multiple connector
       backends: now supported are ODBC and libsqlite3

 -- Enrico Zini <enrico@enricozini.org>  Mon, 08 Dec 2014 19:27:41 +0100

dballe (6.8-1) unstable; urgency=low

  * New upstream release
     - several bug and documentation fixes
     - new fortran API: unsetb
     - if DBALLE_TRACE_FORTRAN is set to a file name, a trace of fortran API
       calls will be written to it to assist in filing bug reports
     - new fortran APIs: idba_messages_open_input, idba_messages_open_output,
       idba_messages_read_next, idba_messages_write_next
     - work around getting rowcount bug in new MariaDB
     - do not build/package provami, since I am unable to maintain the
       old wxPytyhon codebase and a QT rewrite is in progress. Closes: #759043.
       Thanks Olly Betts <olly@survex.com> for patches in the meantime.
     - improvements to dballe::Record's API
     - run with autoreconf. Closes: #744563.
     - updated standards-version, no changes required.

 -- Enrico Zini <enrico@debian.org>  Sun, 05 Oct 2014 12:00:25 +0200

dballe (6.6-1) UNRELEASED; urgency=low

  * New upstream release
     - added a third database type: "mem:", which uses in-memory data
       structures instead of a SQL database
     - removed unused support for attr=add in Fortran API
     - removed obsolete support for rep_cod
     - removed need of having mobile=1 when inserting a mobile station. The
       presence of 'ident' is enough to know that the station is mobile
     - implemented var= and varlist= support for quantesono/query_stations
     - added support for Lua 5.2

 -- Enrico Zini <enrico@debian.org>  Wed, 06 Nov 2013 12:01:35 +0100

dballe (6.5-1) unstable; urgency=low

  * New upstream release
     - clarified and remplemented the meaning of data_filter
     - auto-insert new rep_memo values when importing data, if they are
       missing from the database
     - work around SQL having undefined behaviour with NULLs on an UNIQUE
       index. You need to run the following query to fix existing v6
       databases: UPDATE data SET id_lev_tr=-1 WHERE id_lev_tr IS NULL

 -- Enrico Zini <enrico@debian.org>  Wed, 30 Oct 2013 17:28:42 +0100

dballe (6.4-1) unstable; urgency=low

  * New upstream release
     - changed SQLite queries to avoid losing existing values when overwriting
       a data value

 -- Enrico Zini <enrico@debian.org>  Wed, 30 Oct 2013 17:21:22 +0100

dballe (6.3-1) unstable; urgency=low

  * New upstream release
     - refactored cursor+querybuilder for v6 databases
     - do not leave SQL_TIMESTAMP_STRUCT.fraction uninitialised, which caused
       duplicate imports in some cases
     - fortran message api: deal gracefully with uninterpretable messaes
     - fixed data overwrite on V6 databases
     - provami: documented the possibility of passing initial key=val filters
       on command line

 -- Enrico Zini <enrico@debian.org>  Tue, 03 Sep 2013 18:51:00 +0200

dballe (6.2-1) UNRELEASED; urgency=low

  * New upstream release
     - postgresql fixes
     - accept hypens as MISSING_INT

 -- Enrico Zini <enrico@debian.org>  Fri, 24 May 2013 17:43:49 +0200

dballe (6.1-1) UNRELEASED; urgency=low

  * New upstream release
     - python: allow levels and time ranges to be set to None
     - provami: filtering by one station doesn't raise a SQL exception anymore

 -- Enrico Zini <enrico@debian.org>  Fri, 24 May 2013 17:43:49 +0200

dballe (6.0-1) UNRELEASED; urgency=low

  * New upstream release
     - new, faster database layout
     - old layout still supported for existing databases
     - changes to C++ and Python API to make it possible to have multiple
       database engines
     - Python API redesigned from scratch with clean, hand-written, documented
       bindings
     - support for WMO SHIP messages
  * Updated sonames
  * Removed dependency on swig

 -- Enrico Zini <enrico@debian.org>  Wed, 20 Mar 2013 16:06:42 +0100

dballe (5.23-1) UNRELEASED; urgency=low

  * New upstream release
     - added --rejected=filename option to dbamsg and dbadb
     - dbamsg convert -o/--output

 -- Enrico Zini <enrico@debian.org>  Wed, 20 Mar 2013 16:06:42 +0100

dballe (5.22-1) UNRELEASED; urgency=low

  * New upstream release
     - tests and fixed for WMO pilot import/export

 -- Enrico Zini <enrico@debian.org>  Tue, 24 Jul 2012 14:55:07 +0200

dballe (5.21-1) UNRELEASED; urgency=low

  * New upstream release
     - support for reading and writing WMO PILOT messages

 -- Enrico Zini <enrico@debian.org>  Tue, 05 Jun 2012 12:33:32 +0200

dballe (5.20-1) UNRELEASED; urgency=low

  * New upstream release
     - low-level ODBC test suite
     - removed ODBC workarounds, which used features not supported by
       "industry leader" Oracle

 -- Enrico Zini <enrico@debian.org>  Tue, 05 Jun 2012 12:33:32 +0200

dballe (5.19-1) UNRELEASED; urgency=low

  * New upstream release
     - dbadb import --fast disables journals and flushes in sqlite (same as
       setting DBA_INSECURE_SQLITE)
     - provami works with rpy and rpy2

 -- Enrico Zini <enrico@debian.org>  Tue, 05 Jun 2012 12:33:32 +0200

dballe (5.18-1) unstable; urgency=low

  * New upstream release
     - 1:255:12 and 1:255:14 now recognised as ships
     - fixed AIX-compatibility intexp10 in pollution importers/exporters
     - help swig pattern match Varcode lists correctly, so that Python
       bindings now work also for attribute management
  * Added Vcs-Svn header
  * Updated standards-version, no changes needed

 -- Enrico Zini <enrico@debian.org>  Wed, 16 May 2012 20:47:22 +0200

dballe (5.17-1) unstable; urgency=low

  * New upstream release
     - various python bindings cleanups
     - wrapped record.parse_date_extremes

 -- Enrico Zini <enrico@debian.org>  Mon, 14 May 2012 16:26:34 +0200

dballe (5.16-1) unstable; urgency=low

  * New upstream release
     - fixed dbadb --report: the option had no effect
     - fixed B01194 appearing twice in exported generic messages

 -- Enrico Zini <enrico@debian.org>  Wed, 15 Feb 2012 22:03:02 +0100

dballe (5.15-1) unstable; urgency=low

  * New upstream release
     - added a missing m4 dependency
     - fortran api: ana_id is not automatically reset after a prendilo. It is
       still automatically reset after setting latitude or longitude
     - added dbadb --wipe-first
     - when DBA_INSECURE_SQLITE is set to anything, sqlite is initialised with
       directives making it very fast, but losing any data integrity in case
       of errors

 -- Enrico Zini <enrico@debian.org>  Wed, 18 Jan 2012 18:50:59 +0100

dballe (5.14-1) unstable; urgency=low

  * New upstream release
     - dbatbl: fixed format formatting when len < scale

 -- Enrico Zini <enrico@debian.org>  Tue, 18 Oct 2011 11:27:24 +0200

dballe (5.13-1) unstable; urgency=low

  * New upstream release
     - dbadb import now accepts --precise and -t csv

 -- Enrico Zini <enrico@debian.org>  Thu, 13 Oct 2011 10:36:00 +0200

dballe (5.12-1) unstable; urgency=low

  * New upstream release
     - clear old vars on Cursor::to_record
     - fixed compiler errors when building without Lua
     - prevent compiler flags to end up in dependencies in tools/Makefile.am
     - dbamsg convert: documented 'csv' as a valid input type

 -- Enrico Zini <enrico@debian.org>  Thu, 06 Oct 2011 13:11:36 +0200

dballe (5.11-1) unstable; urgency=low

  * New upstream release
     - workaround to be able to build on swig 1.3 with newer gcc
     - added dbamsg convert --recompute-categories

 -- Enrico Zini <enrico@debian.org>  Wed, 05 Oct 2011 18:04:07 +0200

dballe (5.10-1.1) unstable; urgency=low

  * Non-maintainer upload with maintainer's agreement:
     - Depend on python-wxgtk2.8 instead of python-wxgtk2.6. Closes: #645626

 -- Olly Betts <olly@survex.com>  Sun, 06 Nov 2011 14:45:33 +0000

dballe (5.10-1) unstable; urgency=low

  * New upstream release
     - in rare cases, SYNOP exports would select the wrong context for
       temperature exports, incorrectly exporting minimum or maximum
       temperatures instead
     - tweaked sounding group detection to deal with an obscure TEMP recently
       added to the test suite
     - make check works on sqlite
     - flight import/export: all data moved from station information level to
       flight level, to prevent overlaps for flights on different days at the
       same coordinates
     - Added variables B01006, B01023, B20042, B20043, B20044, B20045, B02064,
       B07010, B08009, B11031, B11037, B11039, B11075, B11076 and B11077 for
       GTS AMDAR reports
     - Make sure that height levels for flights are expressed in millimeters
       as documented
     - Initial support for importing/exporting experimental WMO ACARS
       templates
     - When scanning flight identification numbers, give preference to B01008
       over B01006
  * Avoid installing .la files and fixed doxygen dependencies, thanks to Luk
    Claes. Closes: #631898
  * Migrated to dh_python2. Closes: #616784
  * Depend on swig 2.0
  * Fixed timestamp syntax in old changelog entries
  * dballe-common: make arch:all
  * fixed lintian spellchecking errors in debian/control

 -- Enrico Zini <enrico@debian.org>  Thu, 29 Sep 2011 19:23:52 +0200

dballe (5.9-1) unstable; urgency=low

  * New upstream release
     - Preserve message type, subtype and localsubtype during template
       conversions
     - Added 'wmo' autodetection template
     - Deal with TEMPs with missing pressure in levels
     - Deal with missing sensor height in total precipitation when doing
       precise imports
     - Record keyword documentation is back
     - Fixed to fapi documentation

 -- Enrico Zini <enrico@debian.org>  Thu, 01 Sep 2011 17:24:27 +0100

dballe (5.8-1) unstable; urgency=low

  * New upstream release
     - revert height->heightstatin change in variable aliases

 -- Enrico Zini <enrico@debian.org>  Wed, 24 Aug 2011 11:35:43 +0200

dballe (5.7-1) unstable; urgency=low

  * New upstream version
     - ported to new wreport
  * Added dbamsg dump --dds
  * Added dbamsg dump --structured

 -- Enrico Zini <enrico@debian.org>  Thu, 09 Jun 2011 17:20:55 +0200

dballe (5.6-1) unstable; urgency=low

  * New upstream version
     - provami: fixed disappearing 00:00:00 time in date fields

 -- Enrico Zini <enrico@debian.org>  Tue, 19 Apr 2011 18:35:46 +0200

dballe (5.5-1) unstable; urgency=low

  * New upstream version
     - Fixed an issue with present but undefined values in the Fortran API
     - Local B table change: B22042->B22043 
     - Local B table change: removed B08001 (replaced with B08042)
       B08001 found in old generic BUFR messages will transparently be
       converted to B08042 on import.
     - Local B table change: removed B10009 GEOPOTENTIAL HEIGHT
       (redundant, since we already have B10008)
     - Lots of testing and fixes in WMO SYNOP templates import/export
     - TEMP templates: all pressure imports now use B10004 
     - Local B table change: B07001->B07030
     - Autodetect ECMWF/WMO template to use if not explicitly requested
     - Imported past weather time range now is 3h or 6h depending on the
       reference time hour
     - Precise import of ECMWF templates use standard SYNOP levels
     - Do not import undef attrs into Msg

 -- Enrico Zini <enrico@debian.org>  Sat, 05 Mar 2011 23:16:31 +0000

dballe (5.4-1) unstable; urgency=low

  * New upstream version
     - Improved TEMP sounding group identification
     - Show template numbers in bulletin exporter list

 -- Enrico Zini <enrico@debian.org>  Fri, 11 Feb 2011 13:56:34 +0000

dballe (5.3-1) unstable; urgency=low

  * New upsteam version
     - Implemented dbamsg dump --csv
     - Implemented dbamsg dump --csv --interpreted
     - New local B variable: 013002 MIXING RATIO
     - TEMP import tries to identify sounding groups and scan them in a
       smarter way
     - Also use new geopotential B code when looking for data exporting old
       pilots

 -- Enrico Zini <enrico@debian.org>  Fri, 04 Feb 2011 16:04:18 +0000

dballe (5.2-1) unstable; urgency=low

  * New upstream version
     - No transactions are left open (at least in the test suite)
     - Reenabled generation if Python API docs
     - Handle all 2:x:x as TEMPs
     - Command line tools now properly turn exceptions into errors
     - Ported rconvert to rpy2 
     - Fixed timeranges when importing synops
     - In fortran message API, treat levels and time ranges that are not set
       as "missing" instead of "leave as they were before"
     - In fortran message API, fixed bug whereby it would fail to advance from
       the last subset to the next message
     - Fixed formatting of time ranges
     - Fixed dbamsg dump --text
     - Instant time range is now 254,0,0
     - Messages with ECMWF templates are created with old version of tables
     - Implemented message filters for all commands where it makes sense

 -- Enrico Zini <enrico@debian.org>  Thu, 18 Nov 2010 14:13:13 +0000

dballe (5.1-1) unstable; urgency=low

  * New upstream version
     - Handle negative priorities
     - voglioquesto in fortran msgapi moves to the next subset, or the next
       message when there are no more subsets

 -- Enrico Zini <enrico@debian.org>  Mon, 25 Oct 2010 17:05:25 +0200

dballe (5.0-1) unstable; urgency=low

  * New upstream version
     - Rewritten in C++
     - The dballe++ module has been removed (now everything is in C++)
     - BUFR/CREX functions have been split into a separate wreport library
     - Bumped libdballe soname as ABI is now obviously different
     - Fortran ABI is unchanged, so we still have libdballef4

 -- Enrico Zini <enrico@debian.org>  Mon, 27 Sep 2010 20:12:28 +0100

dballe (4.0.19-1) unstable; urgency=low

  * Smarter lookup of tables, with fallback on standard WMO tables
  * Access variable codes via Lua
  * Tweak to SIM table entries for pollutants
  * Many improvements to BUFR decoder: compressed strings, compressed delayed
    repetitions, C05 modifiers
  * Stricter range tests on variable assignments
  * Handle BUFR update sequence numbers
  * Tweaked unit conversion factors

 -- Enrico Zini <enrico@debian.org>  Wed, 11 Aug 2010 13:25:07 +0100

dballe (4.0.18-1) unstable; urgency=low

  * New upstream version
     + Lua bindings to be used from C
  * Dropped sqliteodbc build-dep and disabled make check as a consequence.
    Closes: #581008

 -- Enrico Zini <enrico@debian.org>  Sun, 13 Jun 2010 23:43:14 +0200

dballe (4.0.17-1) UNRELEASED; urgency=low

  * New upstream version
     + Complain if trying to encode a generic message containing a variable
       with an attribute which is not a B33YYY variable
     + Added dbatbl_makeb to edit B tables

 -- Enrico Zini <enrico@debian.org>  Wed, 14 Apr 2010 12:24:49 +0200

dballe (4.0.16-1) unstable; urgency=low

  * New upstream version
     + Allow to use priority filters on query=best queries
     + Implemented dbadb --dbfile to directly use sqlite file databases
     + Added dba_db_create_{from_file,from_url,test}
     + Allow to provide a url instead of a dsn as the dsn parameter in presentati
     + Implemented dbamsg convert --template to force output template
     + Implemented dbamsg convert --report to force output message type
  * Build-depends on python-dev instead of python-all-dev. Closes: #571228
  * Applied patch by Alessio Treglia to work with python 2.6. Closes: #535839
  * Stricter shlibs
  * Added fortran bindings doxygen documentation
  * Updated Standards-version (no changes required)

 -- Enrico Zini <enrico@debian.org>  Wed, 24 Feb 2010 20:01:36 +0000

dballe (4.0.15-1) unstable; urgency=low

  * Fixed a misbehaviour in the Fortran API to create BUFR messages
  * Allow to encode and decode an optional section in BUFR messages.
    This change may break ABI, but I am not bumping SONAME because as far as I
    know I can still handle rebuilds for each library user.
  * Implemented "dbamsg head"
  * Added msg/repinfo.h with dba_repinfo_default_filename

 -- Enrico Zini <enrico@debian.org>  Sun, 21 Feb 2010 23:49:05 +0000

dballe (4.0.14-1) unstable; urgency=low

  * Allow to filter by variable names in dbamsg filter

 -- Enrico Zini <enrico@debian.org>  Tue, 17 Nov 2009 23:08:19 +0000

dballe (4.0.13-1) unstable; urgency=low

  * Lowercase rep_memo before use
  * Added support for CO, SO2 and PM2.5

 -- Enrico Zini <enrico@debian.org>  Wed, 30 Sep 2009 23:30:04 +0100

dballe (4.0.12-1) unstable; urgency=low

  * Redefine Fortran<->C constants to be more portable
  * Test database using SQLite if no test DSN is specified
  * Favour use of rep_memo instead of rep_cod

 -- Enrico Zini <enrico@debian.org>  Tue, 29 Sep 2009 17:41:12 +0100

dballe (4.0.11-1) unstable; urgency=low

  * New upstream version.
     + Don't give error in case of empty input
     + Fixed byteswapping of AOF on big endian machines. Closes: #526021.
  * Updated Standards-Version. No changes needed.

 -- Enrico Zini <enrico@debian.org>  Sat, 04 Jul 2009 17:27:24 +0200

dballe (4.0.10-1) unstable; urgency=low

  * New upstream version
     - Implemented dbamsg bisect to find messages with problems among large
       message sets
     - ship direction and ship speed flags were swapped when reading from AOF
     - Ignore CREX data when loading tables for BUFR decoding/encoding
     - Handle negative heights in AOF aireps, somehow 
  * libdballe-doc is now Architecture: all.  Closes: #517607
  * Updated Standard-Version (no change required)
  * Build-Depend on ghostscript instead of gs
  * Added missing ${misc:Depends}
  * Updated debhelper compatibility level
  * Move libdballe-doc to Section: doc.  Closes: #515920

 -- Enrico Zini <enrico@debian.org>  Tue, 21 Apr 2009 13:39:38 +0100

dballe (4.0.9-1) unstable; urgency=low

  * New upstream version
     - Fixed export of data with same context except for rep_cod
     - Importing with --full-pseudoana will try to integrate existing data
       without overwriting them

 -- Enrico Zini <enrico@debian.org>  Tue, 18 Nov 2008 17:30:08 +0000

dballe (4.0.8-1) unstable; urgency=low

  * New upstream version
     - Try searching table files using BUFR4 table names even for BUFR3
     - Added missing headers for GCC 4.4.  Closes: #504903
     - Do not allow CREX data to interfere with units and scale when decoding
       and encoding BUFR
     - Fixed template alias for synop messages

 -- Enrico Zini <enrico@debian.org>  Tue, 11 Nov 2008 17:29:47 +0000

dballe (4.0.7-1) unstable; urgency=low

  * New upstream version
     - fixed handling of queries using query=best on MySQL

 -- Enrico Zini <enrico@debian.org>  Wed, 29 Oct 2008 15:56:26 +0000

dballe (4.0.6-1) unstable; urgency=low

  * New upstream version
     - dbadb now accepts aliases with --template
     - allow to select a template when creating BUFR/CREX messages from
       Fortran

 -- Enrico Zini <enrico@debian.org>  Wed, 22 Oct 2008 14:41:32 +0200

dballe (4.0.5-1) unstable; urgency=low

  * New upstream version
     - Import the right numpy module
     - Fixed checks for real range in idba_enqr

 -- Enrico Zini <enrico@debian.org>  Tue, 14 Oct 2008 15:53:46 +0200

dballe (4.0.5-1) unstable; urgency=low

  * New upstream version
     - Allow to read and write BUFR files from Fortran

 -- Enrico Zini <enrico@debian.org>  Thu, 14 Aug 2008 15:54:47 +0200

dballe (4.0.3-1) unstable; urgency=low

  * New upstream version
     - Fixed import of 12-hours cumulated rain
     - Test against NaN on setr and setd
     - Improved manpages

 -- Enrico Zini <enrico@debian.org>  Tue, 10 Jun 2008 12:10:13 +0200

dballe (4.0.2-1) unstable; urgency=low

  * New upstream version
     - Added missing include.  Closes: #481397, #481738

 -- Enrico Zini <enrico@debian.org>  Sun, 18 May 2008 17:39:17 +0100

dballe (4.0.1-1) unstable; urgency=low

  * New upstream version

 -- Enrico Zini <enrico@debian.org>  Wed, 07 May 2008 12:02:52 +0200

dballe (4.0.0-1) unstable; urgency=low

  * New upstream version
     + Builds with gcc 4.3.  Closes: #455391.
  * Heavily reduced the amount of binary packages
  * Fixed syntax of dependency fields.  Closes: #453199.
  * Updated standards-version

 -- Enrico Zini <enrico@debian.org>  Tue, 18 Mar 2008 13:39:34 +0000

dballe (3.6.2-1) unstable; urgency=low

  * New upstream version
     + Allow to only parse the header of a BUFR and CREX message

 -- Enrico Zini <enrico@debian.org>  Wed, 12 Sep 2007 16:53:09 +0100

dballe (3.6-1) unstable; urgency=low

  * New upstream version
     + Builds on ARM
  * Various fixes in the Fortran API code and documentation

 -- Enrico Zini <enrico@debian.org>  Wed, 20 Jun 2007 19:42:07 +0100

dballe (3.4-1) unstable; urgency=low

  * New upstream version
     + Properly import and export synop high level stations
     + Improved database independence: now it can connect via ODBC to Postgres,
       SQLite and Oracle
  * Applied GVV 4.3 patch from tbm.  Closes: #417155.
  * Use ${binary:Version} instead of ${Source-Version}.  Closes: #414337.

 -- Enrico Zini <enrico@debian.org>  Wed, 23 May 2007 14:14:48 +0000

dballe (3.1-1) unstable; urgency=low

  * New upstream version
     + Moved provami into the package
     + Added dballe.volnd and dballe.rconvert Python modules
     + Improved C++ and Python bindings
  * Conflict with old libdballe-dev.  Closes: bug#411975.

 -- Enrico Zini <enrico@debian.org>  Wed, 28 Feb 2007 13:47:20 +0100

dballe (3.0.1-1) unstable; urgency=low

  * New upstream version
     + Fixed database export problems.
     + More control on database import: please see "dbadb help import" for a
       list of the new options

 -- Enrico Zini <enrico@debian.org>  Fri, 19 Jan 2007 00:22:52 +0100

dballe (3.0-1) unstable; urgency=low

  * New upstream version
     + Split the package in various libraries to allow use of just a part (for
       example, the BUFR or CREX encoder and decoder)
     + Much improved C API documentation
     + C++ interface
     + Python interface
     + Support for SQLite
     + BUFR importer can now parse compressed BUFR messages
     + Improved level and time range formatters
     + Redesigned the dba_file API
     + Allow to run all non-database tests, and run them when building the
       deb
     + Database support works on 64bit systems.  Closes: bug#405357.

 -- Enrico Zini <enrico@debian.org>  Thu, 21 Dec 2006 15:17:14 +0800

dballe (2.6-1) unstable; urgency=low

  * New upstream release
  * Build-depend on tetex-bin, tetex-extra and gs-common.  Closes: bug#393047.

 -- Enrico Zini <enrico@debian.org>  Sat, 14 Oct 2006 22:24:16 +0100

dballe (2.5-1) unstable; urgency=low

  * Initial upload.  Closes: bug#389776.

 -- Enrico Zini <enrico@debian.org>  Sat, 30 Sep 2006 17:42:22 +0200

